# &adminguide;

## Overview

The module is an implementation of the internal DB API v1 connector for SQlite 3 file.

## Dependencies

### &kamailio; Modules

The following modules must be loaded before this module:

- No dependencies on other &kamailio; modules.

### External Libraries or Applications

The following libraries or applications must be installed before running &kamailio; with this module loaded:

- SQlite 3 library - e.g., libsqlite3-0

- SQlite 3 devel library - to compile the module e.g. libsqlite3-dev

- SQlite 3 utilities - for kamdbctl e.g. sqlite3

## Parameters

NONE

## Functions

NONE

## Usage

To use the module, first you have to load it in the &kamailio; configuration file.

### `loading the module` usage

    ...
    loadmodule "db_sqlite.so"
    ...

Then set the db_url (or similar) parameter of modules that have to use the SQLite database to driver part 'sqlite://', followed by the path to database file. For example:

### `db_url module parameter` usage

    ...
    modparam("auth_db", "db_url", "sqlite:///etc/kamailio/kamailio.db")
    ...

In the default config file, defined token DBURL can be updated like:

### `DBURL define` usage

    ...
    #!define DBURL "sqlite:///etc/kamailio/kamailio.db"
    ...